Bug 309 - corpus-content.xml stops forrest build
Summary: corpus-content.xml stops forrest build
Status: RESOLVED FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Content (show other bugs)
Version: unspecified
Hardware: Macintosh MacOS X
: P2 - As soon as possible normal
Assignee: Saara Huhmarniemi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-15 13:27 CEST by Børre Gaup
Modified: 2006-10-30 09:33 CET (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Børre Gaup 2006-06-15 13:27:47 CEST
There seems to be some kind of error when converting corpus-content.xml to the forrest format. The "forrest build" stops about halfway through the generation of the website.

The end of the xtdoc/sd/build/webapp/WEB-INF/logs/error.log contains a lot of sentences like these:

ERROR   (2006-06-15) 12:22.22:854   [cocoon.manager.fop] (Unknown-URI) Unknown-Thread/MessageHand
ler: Error in number-rows-spanned property value '': org.apache.fop.fo.expr.PropertyException: No
 conversion defined
Comment 1 Saara Huhmarniemi 2006-06-15 13:59:30 CEST
I don't know what is wrong, corpus-content.xml validates and looks like it's supposed to. could the problem be in the interaction of the xml-structure and Sjur's scripts that create the content of the page?
Comment 2 Sjur Nørstebø Moshagen 2006-06-23 17:10:53 CEST
I have now updated the corpus summary processing to only generate a fraction of the file size compared to earlier. Please 'cvs up', and rerun Forrest to see how it behaves. 'forrest run' is now processing the sme corpus content listing in about 2 seconds on my portable, which seems promising to me.
Comment 3 Børre Gaup 2006-06-26 14:17:22 CEST
It seems to work perfectly now.
Comment 4 Børre Gaup 2006-10-30 09:32:27 CET
Accidentally marked this bug as fixed.
Comment 5 Børre Gaup 2006-10-30 09:33:25 CET
erh, this was fixed, after all ... sorry.